//################################################################################
//# Project: Fire Curtain System
//# Company: [Company Name]
//# Author: Supriya Kore
//# Date: 21-July-2023
//# Description: [Brief description of the project or code block]
//#
//# [Additional project or code-specific information]
//#
//# [Company Name]
//# [Company Address]
//# [Company Website]
//# [Contact Information]
//################################################################################

/*********************************Header Files***********************************/
#include "Fire_Curtain.h"
#include "Motor.h"

/********************************Motor Functions**********************************/
//For turning ON M1 Up
void M1_Up(){
  digitalWrite(M1_UP,HIGH);
  digitalWrite(M1_DOWN, LOW);
  return;
}

//For turning ON M1 Down
void M1_Down(){
  digitalWrite(M1_DOWN,HIGH);
  digitalWrite(M1_UP, LOW);
  return;
}

//For turning ON M2 Up
void M2_Up(){
  digitalWrite(M2_UP,HIGH);
  digitalWrite(M2_DOWN,LOW);
  return;
}

//For turning ON M2 Down
void M2_Down(){
  digitalWrite(M2_DOWN,HIGH);
  digitalWrite(M2_UP, LOW);
  return;
}

//For Stoping  M1 
void M1_Stop(){
  digitalWrite(M1_UP,LOW);
  digitalWrite(M1_DOWN, LOW);
  return;
}

//For Stoping Motor2
void M2_Stop(){
  digitalWrite(M2_UP,LOW);
  digitalWrite(M2_DOWN, LOW);
  return;
}

//For turning ON M1_Up and M2_Up
void M1_M2_Up(){
  digitalWrite(M1_UP,HIGH);
  digitalWrite(M2_UP, HIGH);
  digitalWrite(M1_DOWN, LOW);
  digitalWrite(M2_DOWN, LOW);
  return;
}

//For turning ON M1_Down and M2_Down
void M1_M2_Down(){
  digitalWrite(M1_UP,LOW);
  digitalWrite(M2_UP, LOW);
  digitalWrite(M1_DOWN, HIGH);
  digitalWrite(M2_DOWN, HIGH);
  return;
}

//For Stoping M1 and M2
void M1_M2_Stop(){
  digitalWrite(M1_UP,LOW);
  digitalWrite(M1_DOWN, LOW);
  digitalWrite(M2_UP,LOW);
  digitalWrite(M2_DOWN, LOW);
  return;
}

/*********************Brake Motor functions************************/
//void Brake_M1_On(){
//  digitalWrite(BRAKE_M1, HIGH);
//}
//
//void Brake_M2_On(){
//  digitalWrite(BRAKE_M2, HIGH);
//}
//
//void Brake_M1_Off(){
//  digitalWrite(BRAKE_M1, LOW);
//}
//
//void Brake_M2_Off(){
//  digitalWrite(BRAKE_M2, LOW);
//}
